<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$id_error='';

if(isset($_POST['oper'])){
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro

	$identificacion = $_POST['txtcc'];
	$ape_usu =escapar( $_POST['txtpapellido']);
	$nombre=escapar($_POST['txtpnombre']);
	
	$username = escapar($_POST['txtnomusu']);
	$password = escapar($_POST['txtpw1']);
	$password2 = escapar($_POST['txtpw2']);
	
	$id_error= trim($password) == trim($password2) ? '' : 'dif_contra' ;
	
	$active = isset($_POST['txtactivo']) ? escapar($_POST['txtactivo']) :'N';
	$tipo_user = escapar($_POST['txt_tip_usu']);
	$cod_cargo = escapar($_POST['txtcargo']);

	$mail=escapar($_POST['txtmail_us']);	

	$pws=$password!='' ? hashCripPwd($password) : hashCripPwd('ac_$20_pro');

	$org_tip_rol=$_POST[orig_tip_rol];

	switch($acction){
		case 'del':
			$sql="delete from `conf_usuarios`  where ide_usuario='$codigo'";
		break;
		case 'edit';
			$pas= $password!='' ? " pass='".md5($password)."', " : '';
			$sql="UPDATE conf_usuarios
				SET login = '$username',$pas nombres_usu = '$nombre', apellidos_usu = '$ape_usu', num_identificacion = '$identificacion', mail_usuario = '$mail', ide_cargo = '$cod_cargo', tipo_usu = '$tipo_user', active = '$active'
				WHERE ide_usuario = '$codigo';";
		break;
		case 'new':
			$sql="INSERT INTO conf_usuarios
            (login, pass, nombres_usu, apellidos_usu, num_identificacion, mail_usuario, ide_cargo, tipo_usu, active)
VALUES ('$username', '$pws', '$nombre', '$ape_usu', '$identificacion', '$mail', '$cod_cargo', '$tipo_user', '$active');";
		break;
		default:
			$sql="";
	}
//	echo $sql;

	

	if($sql!='' && $id_error==''){
		$academia->instruccion($sql);
		if($acction=='new'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila());
			$sqlPerm="INSERT INTO conf_permisos(ide_formulario,ide_usuario,permiso) SELECT  ide_formulario, '".$academia->ultima_fila()."', permiso FROM conf_per_modulos WHERE ide_tip_usuario='$tipo_user'";
			$academia->instruccion($sqlPerm);
			echo json_encode($rta);
			
		}else if($acction=='edit'){
			if($org_tip_rol!=$tipo_user){
				$academia->instruccion("DELETE FROM conf_permisos WHERE ide_usuario='".$codigo."';");
				$sqlPerm="INSERT INTO conf_permisos(ide_formulario,ide_usuario,permiso) SELECT  ide_formulario, '".$codigo."', permiso FROM conf_per_modulos WHERE ide_tip_usuario='$tipo_user'";
				$academia->instruccion($sqlPerm);
			}
						
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}
	}else{
		echo $rta=array('error'=>'$id_error');
		echo json_encode($rta);
	}
}
$academia->cerrar();
?>